<template>
  <div class="embed-dataset-snipp d-flex flex-column overflow-auto">
    <dataset-details-dataset :showDatasetDescription="true" :showDatasetProperties="false" :showPublisher="false"
      :embed-snippet="true" class="d-none" />

    <div class="p-5 content-snipp">
     <button @click="openUrl" class="btn-title"> <dataset-details-header-title :embed="true" class="mr-2" /></button>

      <dataset-details-description class="snip-desc"></dataset-details-description>

      <div class="row">
        <div class="col-9 no-pad"> 
          <dataset-details-header-catalogue :embed="true" class="mr-2 mt-2" />
        </div>
        <div class="col-3">
          
            <button @click="openUrl" class="ecl-button ecl-button--secondary ml-2" type="button">Open Dataset <svg
                data-v-e7b11991="" data-v-363c04b8="" width="18" height="18" viewBox="0 0 48 48"
                xmlns="http://www.w3.org/2000/svg" class="access-link-icon">
                <path data-v-e7b11991=""
                  d="M14 2v4H6v36h36v-8h4v12H2V2h12Zm32 0v20h-4V8.667l-.201.404-16.97 16.97L22 23.214l16.97-16.97.484-.243H26V2h20Z">
                </path>
              </svg></button>
        
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import DatasetDetailsHeaderTitle from "../datasetDetails/header/DatasetDetailsHeaderTitle"
import DatasetDetailsDataset from "../datasetDetails/DatasetDetailsDataset.vue"
import DatasetDetailsHeaderCatalogue from "../datasetDetails/header/DatasetDetailsHeaderCatalogue.vue"
import PvDataInfoBoxFormats from "../PvDataInfoBox/PvDataInfoBoxFormats.vue"
import DatasetDetailsDescription from "../datasetDetails/DatasetDetailsDescription.vue"
import { mapGetters } from "vuex";

export default {
  name: 'EmbedDatasetSnippet',
  created() { },
  components: {
    DatasetDetailsHeaderTitle,
    DatasetDetailsDataset,
    DatasetDetailsHeaderCatalogue,
    PvDataInfoBoxFormats,
    DatasetDetailsDescription
  },
  computed: {
    ...mapGetters('datasetDetails', [
      'getLanguages',
      'getTitle',
      'getDescription',
      'datasets'
    ]),
  },
  methods: {
    openUrl() {
      const url = window.location.href.split('/embed-snippet')[0];
      window.open(url, '_blank');
    }
  }
};
</script>

<style scoped>

.embed-dataset-snipp {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  /* Semi-transparent background */
  display: flex;
  color: black;
  z-index: 99;
  /* Ensure it's above other content */
  overflow: hidden;
  /* This hides the scrollbar */
  overflow-y: scroll;
  /* This allows vertical scrolling but hides the scrollbar */
  z-index: 99999;
}
.btn-title {
  border: none;
  background: none;
  text-align: left;
  width: 100%;
}

.embed-dataset-snipp::-webkit-scrollbar {
  display: none;
  /* This hides the scrollbar in Webkit browsers */
}

.content-snipp {
  border: 1px solid rgb(203, 203, 203);
  border-radius: 1px;
}

.logo {
  width: 290px;
  height: 70px;
}

.headline {
  background: #123F94;
  color: white;
  font-size: 24px;
}

.dsd-title-tag {
  display: none !important;
}

.snip-desc {
  display: -webkit-box;
  -webkit-line-clamp: 7;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.no-pad {
  margin-left: -15px;
}

@media screen and (max-width: 600px) {
  .embed-header {
    flex-direction: column !important;
    justify-content: flex-start !important;
  }

  .openUrl {
    align-self: auto !important;
  }
}
</style>
